Appearance
Bet Result URL by Transaction Id
POST
/api/bet-log/{txnId}/bet-resultResolve the provider's bet-result URL for a given transaction (idempotency key) id.
Authorizations
Parameters
Path Parameters
txnId*
Typestring
RequiredResponses
Bet result URL
JSON
{
"data": {
"url": "string"
},
"status": null,
"timeStamp": "string"
}
Samples
cURL
curl -X POST https://api-game.kkapi.co/api/bet-log/{txnId}/bet-resultJavaScript
fetch("https://api-game.kkapi.co/api/bet-log/{txnId}/bet-result", { method: "POST" })
.then(response => response.json())
.then(data => console.log(data));PHP
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api-game.kkapi.co/api/bet-log/{txnId}/bet-result");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response;Python
import requests
response = requests.post("https://api-game.kkapi.co/api/bet-log/{txnId}/bet-result")
print(response.json())